> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openlayer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Overview

> Use the Openlayer CLI to interact with Openlayer

## Installing the Openlayer CLI

To download and install Openlayer CLI, run the command that corresponds to your OS:

<CodeGroup>
  ```bash Mac (Apple silicon) theme={null}
  curl -o- "https://downloads.openlayer.com/cli/install/osx_arm64.sh" | sh
  ```

  ```bash Mac (Intel) theme={null}
  curl -o- "https://downloads.openlayer.com/cli/install/osx_64.sh" | sh
  ```

  ```bash Linux (Arm) theme={null}
  curl -o- "https://downloads.openlayer.com/cli/install/linux_arm64.sh" | sh
  ```

  ```bash Linux (x86) theme={null}
  curl -o- "https://downloads.openlayer.com/cli/install/linux_64.sh" | sh
  ```

  ```bash Windows (x86) theme={null}
  powershell.exe -NoProfile -InputFormat None -ExecutionPolicy AllSigned -Command "[System.Net.ServicePointManager]::SecurityProtocol = 3072; iex ((New-Object System.Net.WebClient).DownloadString('https://downloads.openlayer.com/cli/install/windows_64.ps1'))"
  ```
</CodeGroup>

## Checking the version

The `--version` option can be used to verify the version of Openlayer CLI being used.

```bash theme={null}
openlayer --version
```

## Using in a CI/CD environment

Openlayer CLI requires you to log in and authenticate before performing tasks, such as pushing
or accessing test results.

In a terminal environment, you can use `openlayer login`, which requires manual input.

In a CI/CD environment where manual input is not possible, you can use your [Openlayer API key](/workspace-and-projects/find-your-api-key)
and the `--api-key` option to authenticate. Refer to the [CI/CD guide](/guides/gh-actions) for details.

## Avaliable commands

* [batch](/api-reference/cli/commands/batch)
* [export](/api-reference/cli/commands/export)
* [help](/api-reference/cli/commands/help)
* [inspect](/api-reference/cli/commands/inspect)
* [install](/api-reference/cli/commands/install)
* [link](/api-reference/cli/commands/link)
* [login](/api-reference/cli/commands/login)
* [metrics](/api-reference/cli/commands/metrics)
* [push](/api-reference/cli/commands/push)
* [validate](/api-reference/cli/commands/validate)
* [whoami](/api-reference/cli/commands/whoami)
